Package picard.analysis.artifacts

# Enum Class Transition

java.lang.Object
java.lang.Enum<Transition>
picard.analysis.artifacts.Transition

All Implemented Interfaces:
  `Serializable`, `Comparable<Transition>`, `Constable`

public enum Transition extends Enum<Transition>
Enum representation of a transition from one base to any other.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected static enum`
`Transition.Base`

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AtoA`
`AtoC`
`AtoG`
`AtoT`
`CtoA`
`CtoC`
`CtoG`
`CtoT`
`GtoA`
`GtoC`
`GtoG`
`GtoT`
`TtoA`
`TtoC`
`TtoG`
`TtoT`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final int[]`
`baseIndexMap`

## Method Summary

Modifier and Type
Method
Description
`static Transition[]`
`altValues()`
Like values(), but ignores the ref:ref "transitions".
`char`
`call()`
Gets the call for the transition.
`Transition`
`complement()`
Return the complementary transition.
`char`
`ref()`
Gets the reference for the transition.
`String`
`toString()`
`static Transition`
`transitionOf(char ref, char call)`
Gets a the enum representing the transition from a 'reference' to a 'call' base.
`static Transition`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Transition[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### AtoA

public static final Transition AtoA

### AtoC

public static final Transition AtoC

### AtoG

public static final Transition AtoG

### AtoT

public static final Transition AtoT

### CtoA

public static final Transition CtoA

### CtoC

public static final Transition CtoC

### CtoG

public static final Transition CtoG

### CtoT

public static final Transition CtoT

### GtoA

public static final Transition GtoA

### GtoC

public static final Transition GtoC

### GtoG

public static final Transition GtoG

### GtoT

public static final Transition GtoT

### TtoA

public static final Transition TtoA

### TtoC

public static final Transition TtoC

### TtoG

public static final Transition TtoG

### TtoT

public static final Transition TtoT

## Field Details

### baseIndexMap

protected static final int[] baseIndexMap

## Method Details

### values

public static Transition[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Transition valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### transitionOf

public static Transition transitionOf(char ref, char call)
Gets a the enum representing the transition from a 'reference' to a 'call' base.

For example, a transtion from 'A' to 'T' would return `AtoT`.

Parameters:
  `ref` - reference base (one of of {A, C, T, G}).
  `call` - call base (one of of {A, C, T, G}).
Returns:
  enum representation for the transition.

### altValues

public static Transition[] altValues()
Like values(), but ignores the ref:ref "transitions".

### complement

public Transition complement()
Return the complementary transition. Both ref and call must be complemented.

### ref

public char ref()
Gets the reference for the transition.

### call

public char call()
Gets the call for the transition.

### toString

public String toString()

Overrides:
  `toString` in class `Enum<Transition>`